<html>
<head>
<title>OGRE: Ogre::AnyNumeric::numholder&lt; ValueType &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">numholder</a></div>
<h1>Ogre::AnyNumeric::numholder&lt; ValueType &gt; Class Template Reference</h1><!-- doxytag: class="Ogre::AnyNumeric::numholder" --><!-- doxytag: inherits="Ogre::AnyNumeric::numplaceholder" --><code>#include &lt;<a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::AnyNumeric::numholder&lt; ValueType &gt;:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1AnyNumeric_1_1numholder-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#b9414baa5ac2efe6abe7486d4287d137">numholder</a> (const ValueType &amp;value)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
std::type_info &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#30747552f8f12160cab496cf7b0d3e23">getType</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual placeholder *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#8f39c28d0d67fec960573196e5e462a7">clone</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual placeholder *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#2720b7413df1f0384dc6a53f618a5776">add</a> (placeholder *rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual placeholder *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#28c881c1c5e62ebeb79d451f059fbed4">subtract</a> (placeholder *rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual placeholder *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#09ef8fec011588204b5ffc4c00770526">multiply</a> (placeholder *rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual placeholder *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#582605d2ca14d373552fc099760a346a">multiply</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual placeholder *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#5df1d61d12c35b1abc587ea2323ec1f5">divide</a> (placeholder *rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#1cd19a31e8c9e9f73824e2db792bf629">writeToStream</a> (std::ostream &amp;o)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">ValueType&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#f70c75bcdb763868f6c40591a1e64699">held</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;typename ValueType&gt;<br>
 class Ogre::AnyNumeric::numholder&lt; ValueType &gt;</h3>


<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00251">251</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b9414baa5ac2efe6abe7486d4287d137"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::numholder" ref="b9414baa5ac2efe6abe7486d4287d137" args="(const ValueType &amp;value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">numholder</a>           </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00255">255</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00272">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::add()</a>, <a class="el" href="OgreAny_8h-source.html#l00267">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::clone()</a>, <a class="el" href="OgreAny_8h-source.html#l00288">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::divide()</a>, <a class="el" href="OgreAny_8h-source.html#l00280">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::multiply()</a>, and <a class="el" href="OgreAny_8h-source.html#l00276">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::subtract()</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="30747552f8f12160cab496cf7b0d3e23"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::getType" ref="30747552f8f12160cab496cf7b0d3e23" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::type_info&amp; <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#dbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00262">262</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8f39c28d0d67fec960573196e5e462a7"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::clone" ref="8f39c28d0d67fec960573196e5e462a7" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual placeholder* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::clone           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#d445f6f56c8869809d9619707fbbe671">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00267">267</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, and <a class="el" href="OgreAny_8h-source.html#l00255">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::numholder()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2720b7413df1f0384dc6a53f618a5776"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::add" ref="2720b7413df1f0384dc6a53f618a5776" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual placeholder* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::add           </td>
          <td>(</td>
          <td class="paramtype">placeholder *&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a37dfb658be4cb32bb248647bb7f6dd0">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00272">272</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, and <a class="el" href="OgreAny_8h-source.html#l00255">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::numholder()</a>.</p>

</div>
</div><p>
<a class="anchor" name="28c881c1c5e62ebeb79d451f059fbed4"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::subtract" ref="28c881c1c5e62ebeb79d451f059fbed4" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual placeholder* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::subtract           </td>
          <td>(</td>
          <td class="paramtype">placeholder *&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#59c82a0733cbcb1fcc662ebe8c98b7a7">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00276">276</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, and <a class="el" href="OgreAny_8h-source.html#l00255">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::numholder()</a>.</p>

</div>
</div><p>
<a class="anchor" name="09ef8fec011588204b5ffc4c00770526"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::multiply" ref="09ef8fec011588204b5ffc4c00770526" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual placeholder* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::multiply           </td>
          <td>(</td>
          <td class="paramtype">placeholder *&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#10a7671b8f9cb821fb5d720c3457358b">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00280">280</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, and <a class="el" href="OgreAny_8h-source.html#l00255">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::numholder()</a>.</p>

</div>
</div><p>
<a class="anchor" name="582605d2ca14d373552fc099760a346a"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::multiply" ref="582605d2ca14d373552fc099760a346a" args="(Real factor)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual placeholder* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::multiply           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>factor</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#33346f961dc51e8a3fc0a347104f999e">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00284">284</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, and <a class="el" href="OgreAny_8h-source.html#l00255">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::numholder()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5df1d61d12c35b1abc587ea2323ec1f5"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::divide" ref="5df1d61d12c35b1abc587ea2323ec1f5" args="(placeholder *rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual placeholder* <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::divide           </td>
          <td>(</td>
          <td class="paramtype">placeholder *&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#cbf4855254ff7aefc864293d5da97ab4">Ogre::AnyNumeric::numplaceholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00288">288</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>, and <a class="el" href="OgreAny_8h-source.html#l00255">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::numholder()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1cd19a31e8c9e9f73824e2db792bf629"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::writeToStream" ref="1cd19a31e8c9e9f73824e2db792bf629" args="(std::ostream &amp;o)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::writeToStream           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1Any_1_1placeholder.html#c8109f388caa8709eab98200fd6aab5b">Ogre::Any::placeholder</a>.</p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00292">292</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00299">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::held</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f70c75bcdb763868f6c40591a1e64699"></a><!-- doxytag: member="Ogre::AnyNumeric::numholder::held" ref="f70c75bcdb763868f6c40591a1e64699" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder</a>&lt; ValueType &gt;::<a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#f70c75bcdb763868f6c40591a1e64699">held</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00299">299</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00272">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::add()</a>, <a class="el" href="OgreAny_8h-source.html#l00267">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::clone()</a>, <a class="el" href="OgreAny_8h-source.html#l00288">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::divide()</a>, <a class="el" href="OgreAny_8h-source.html#l00280">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::multiply()</a>, <a class="el" href="OgreAny_8h-source.html#l00276">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::subtract()</a>, and <a class="el" href="OgreAny_8h-source.html#l00292">Ogre::AnyNumeric::numholder&lt; ValueType &gt;::writeToStream()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h-source.html">OgreAny.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
